GNU bug report logs - #49702
[PATCH] gnu: Add swaylock-effects

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: phodina <phodina@HIDDEN>; Keywords: patch; dated Fri, 23 Jul 2021 03:07:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 49702 <at> debbugs.gnu.org:


Received: (at 49702) by debbugs.gnu.org; 18 Sep 2021 12:17:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 08:17:43 2021
Received: from localhost ([127.0.0.1]:33777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRZHr-0005mv-FV
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 08:17:43 -0400
Received: from mail-wr1-f66.google.com ([209.85.221.66]:38580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1mRZHq-0005mg-36
 for 49702 <at> debbugs.gnu.org; Sat, 18 Sep 2021 08:17:42 -0400
Received: by mail-wr1-f66.google.com with SMTP id u18so17915045wrg.5
 for <49702 <at> debbugs.gnu.org>; Sat, 18 Sep 2021 05:17:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version:content-transfer-encoding;
 bh=XFgdO3doJvvVj4Z7h2EaohBB9o9h/WcyQlgONdCGwho=;
 b=jBigmGQSCLArpvV/ceIiVsLUjHOTXVboEf3QukDwEC+wRmi4a9M8XytI64U0j54uqs
 vra1ECF+0Ug3aTR7Q/XMeilUvztA0uFEJK75fvi8BcLi5zqPCrAX6P03o+4ij3v8BF+0
 VhrpaLt+irqqcx6bZs/wBtl8Z9eYR1UAr+ljer+t7s+9TkjamE0/xIL+oReNowVhN/Gk
 4xY0E+YIkT7aAS4EKKiZCi3VN40lpyjYnNeqLU2TQM1UeU/ikZ5KG6ShmgXTTt5WVbZu
 yIu4mkplIVqi3DoYADG8cQABJsM7t2xjesD0kTF2KmFFPEzoXpVuN101pA1glUQmgtpW
 mREw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=XFgdO3doJvvVj4Z7h2EaohBB9o9h/WcyQlgONdCGwho=;
 b=WdHppBsm+uqt/cDUw7Rb6hnic4cPSOnCdzq/3KveRjxdezaeUE7ttQJLNsUSUibXBB
 PZ8g0/L/3clSaIlQCEor2rCrxd1bcXt+nYWLItpSx67Q5xkjEK7PS6noHkmu3Ryobvuw
 b2lAaQ8d6H2FFav9BC3zVTd3rewdgcEZo+ZEB46TK6x8VB0ERjvr5mS2ShMPuAwPa2UV
 rXxZIesoAIk9nGbIbDsmF6O5hhE3VzRSvKQtNS9zNuP4Ja4se6DdbYOS71uDXWD9WUTm
 7l5664PdTqP6btdhahtfr1aEJIqv0TuWqID75hfswRnP5C9tHCUn64K/qFWlGYepa+ct
 tbUQ==
X-Gm-Message-State: AOAM530bKqAROTz/EQAu2pGZ1fVTJnSUkh83yXpGQjge+UH2brWCVN/a
 AoqgTcHotqB4mHiUXZt2xum6hUPJrQE=
X-Google-Smtp-Source: ABdhPJwBl8EjWAI9Ir7SFw4MEUui28Moh2tvGuSlfhYbChjNvoZW4rc5KNMlnh7xb3hS9KgDYorRvQ==
X-Received: by 2002:adf:eec3:: with SMTP id a3mr17744705wrp.276.1631967456477; 
 Sat, 18 Sep 2021 05:17:36 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93])
 by smtp.gmail.com with ESMTPSA id y9sm15949863wmj.36.2021.09.18.05.17.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 18 Sep 2021 05:17:36 -0700 (PDT)
Message-ID: <8a4128abf29310407d17d8fb4fba6e394d587aec.camel@HIDDEN>
Subject: Re: [PATCH v2] gnu: Add swaylock-effects.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: phodina <phodina@HIDDEN>
Date: Sat, 18 Sep 2021 14:17:35 +0200
In-Reply-To: <yDhBv0fW4Gb-ibDazPjqlKWJttFpqg6ITNcjksm7tOci9iPT0fIGve6JlWm8AvxUCj_XcPOrpGq4CMSOy0hZAeaWya7XpT12sPb20R65RHo=@protonmail.com>
References: <yDhBv0fW4Gb-ibDazPjqlKWJttFpqg6ITNcjksm7tOci9iPT0fIGve6JlWm8AvxUCj_XcPOrpGq4CMSOy0hZAeaWya7XpT12sPb20R65RHo=@protonmail.com>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49702
Cc: 49702 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Am Samstag, den 18.09.2021, 12:14 +0000 schrieb phodina:
> Hi Liliana,
> 
> thanks for the inputs!
> 
> --8<---------------cut here---------------start------------->8--
> 
> * gnu/packages/wm.scm (swaylock-effects): New variable.
> 
> diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
> index 957c5a0d5a..f5f9583fa3 100644
> --- a/gnu/packages/wm.scm
> +++ b/gnu/packages/wm.scm
> @@ -83,6 +83,7 @@
>    #:use-module (gnu packages bison)
>    #:use-module (gnu packages build-tools) ;for meson-0.55
>    #:use-module (gnu packages calendar)
> +  #:use-module (gnu packages commencement) ; for gcc>9
>    #:use-module (gnu packages datastructures)
>    #:use-module (gnu packages docbook)
>    #:use-module (gnu packages documentation)
> @@ -1617,6 +1618,30 @@ modules for building a Wayland compositor.")
>      (description "Swaylock is a screen locking utility for Wayland
> compositors.")
>      (license license:expat))) ; MIT license
> 
> +(define-public swaylock-effects
> +  (package (inherit swaylock)
> +           (name "swaylock-effects")
> +           ;; Upstream v1.6-3 released on 16/11/2020
> +           (version "5cb9579faaf5662b111f5722311b701eff1c1d00")
2020 isn't that far in the past.  More importantly, if you do use
random commits, please follow the (git-version) scheme.
> +           (source (origin
> +                     (method git-fetch)
> +                     (uri (git-reference
> +                           (url "
> https://github.com/mortie/swaylock-effects")
> +                           (commit version)))
> +                     (file-name (git-file-name name version))
> +                     (sha256
> +                      (base32
> +                       "036dkhfqgk7g9vbr5pxgrs66h5fz0rwdsc67i1w51aa9
> v01r35ca"))))
> +           ; Requires gcc>=9 see the issue here
> +           ; https://github.com/mortie/swaylock-effects/issues/26
> +           (native-inputs `(("gcc", gcc-9)
> +                            ,@(package-native-inputs swaylock)))
> +           (synopsis "Screen locking utility for Wayland compositors
> with effects")
> +           (description "@code{Swaylock-effects} is a fork of
> swaylock with additional
> +features, such as the ability to take a screenshot as the background
> image,
> +display a clock or apply image manipulation techniques to the
> background image.")
Assuming swaylock-effects is a command (is it?), @command{swaylock-
effects} would be the correct first word here.
> +           (home-page "https://github.com/mortie/swaylock-effects"))
> )
> +
>  (define-public swaybg
>    (package
>      (name "swaybg")
> --
> 2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49702; Package guix-patches. Full text available.

Message received at 49702 <at> debbugs.gnu.org:


Received: (at 49702) by debbugs.gnu.org; 18 Sep 2021 12:14:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 08:14:23 2021
Received: from localhost ([127.0.0.1]:33760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRZEd-0005gf-Fg
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 08:14:23 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:58236)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mRZEb-0005gP-TF
 for 49702 <at> debbugs.gnu.org; Sat, 18 Sep 2021 08:14:22 -0400
Date: Sat, 18 Sep 2021 12:14:09 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1631967251;
 bh=OGq4u7If8/33qeLJChM4a4hSBZZheV8v3m1dC9Gxdlk=;
 h=Date:To:From:Cc:Reply-To:Subject:From;
 b=N1+Km+4AgDwWaX4QKnhKCl+O01iFZSV10IVvQwFYFgq0UIsAlBBpvBbHmLdrV4B2I
 urq0RA8Ducfor4EljdcTIgzqXex3lBHQ6tR2xFpl9Qt1VJoHzOmhIiRoXAN+48D1pi
 LVF+xVeYz552ysouQr6j1h2Bl2lzMvgn5zZOOk8Y=
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
From: phodina <phodina@HIDDEN>
Subject: [PATCH v2] gnu: Add swaylock-effects.
Message-ID: <yDhBv0fW4Gb-ibDazPjqlKWJttFpqg6ITNcjksm7tOci9iPT0fIGve6JlWm8AvxUCj_XcPOrpGq4CMSOy0hZAeaWya7XpT12sPb20R65RHo=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 49702
Cc: 49702 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Liliana,

thanks for the inputs!

--8<---------------cut here---------------start------------->8--

* gnu/packages/wm.scm (swaylock-effects): New variable.

diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
index 957c5a0d5a..f5f9583fa3 100644
--- a/gnu/packages/wm.scm
+++ b/gnu/packages/wm.scm
@@ -83,6 +83,7 @@
   #:use-module (gnu packages bison)
   #:use-module (gnu packages build-tools) ;for meson-0.55
   #:use-module (gnu packages calendar)
+  #:use-module (gnu packages commencement) ; for gcc>9
   #:use-module (gnu packages datastructures)
   #:use-module (gnu packages docbook)
   #:use-module (gnu packages documentation)
@@ -1617,6 +1618,30 @@ modules for building a Wayland compositor.")
     (description "Swaylock is a screen locking utility for Wayland composi=
tors.")
     (license license:expat))) ; MIT license

+(define-public swaylock-effects
+  (package (inherit swaylock)
+           (name "swaylock-effects")
+           ;; Upstream v1.6-3 released on 16/11/2020
+           (version "5cb9579faaf5662b111f5722311b701eff1c1d00")
+           (source (origin
+                     (method git-fetch)
+                     (uri (git-reference
+                           (url "https://github.com/mortie/swaylock-effect=
s")
+                           (commit version)))
+                     (file-name (git-file-name name version))
+                     (sha256
+                      (base32
+                       "036dkhfqgk7g9vbr5pxgrs66h5fz0rwdsc67i1w51aa9v01r35=
ca"))))
+           ; Requires gcc>=3D9 see the issue here
+           ; https://github.com/mortie/swaylock-effects/issues/26
+           (native-inputs `(("gcc", gcc-9)
+                            ,@(package-native-inputs swaylock)))
+           (synopsis "Screen locking utility for Wayland compositors with =
effects")
+           (description "@code{Swaylock-effects} is a fork of swaylock wit=
h additional
+features, such as the ability to take a screenshot as the background image=
,
+display a clock or apply image manipulation techniques to the background i=
mage.")
+           (home-page "https://github.com/mortie/swaylock-effects")))
+
 (define-public swaybg
   (package
     (name "swaybg")
--
2.32.0




Information forwarded to guix-patches@HIDDEN:
bug#49702; Package guix-patches. Full text available.

Message received at 49702 <at> debbugs.gnu.org:


Received: (at 49702) by debbugs.gnu.org; 18 Sep 2021 11:03:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 07:03:16 2021
Received: from localhost ([127.0.0.1]:33693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRY7o-0001oi-BL
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 07:03:16 -0400
Received: from mail-wr1-f65.google.com ([209.85.221.65]:44690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1mRY7l-0001oS-Lq
 for 49702 <at> debbugs.gnu.org; Sat, 18 Sep 2021 07:03:14 -0400
Received: by mail-wr1-f65.google.com with SMTP id d6so19365602wrc.11
 for <49702 <at> debbugs.gnu.org>; Sat, 18 Sep 2021 04:03:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:date:in-reply-to:references:user-agent
 :mime-version:content-transfer-encoding;
 bh=NBqNr7r5U5bRVkfNoV0IkRWiMBhBPosYFAsePR+qTSs=;
 b=ikJY+7w5hUDxbeC5OIGfBVB2hsCcv0rDxztdq5LS58Cw754W2xLpBLCp16PEhg53Wa
 nUIfvGUk+gVPrs5gvaBpQmq8GRMUy6p9AvHkwYMbej3Kk+h4Nypen2mhw81OGbMCz3Gz
 bITaLEI7Riprlz/b6Bja64giJ4MIyeDrrdzERFwLVvA/c2FH0Wi+AIzcuG5OpXV7DOPn
 uQn7oyH6WFjkWJpEPOCyqdOJyjn3pKfF4nZZna4dFrDkgGxio6MUvg6icgM3rXXlSkFz
 DnxaJwC+ro5E3+hjB+++xXR+hmg8Q6RucHtyaHADVPcf9kTifeOuCJg70RabgWS/RHB1
 yjKQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=NBqNr7r5U5bRVkfNoV0IkRWiMBhBPosYFAsePR+qTSs=;
 b=TuIYfe9CqNQ7dQSrC643pOFWTAXfMQhuZ21TY176OxNHqmJKSc5Y4rMA+QG/Oz5VIk
 FDSbIg3pNCCsdJZbfj4w7NEr59WuUWMbR5WcORORXHQ3LRgySC3Go4SQ8faLObrsefDf
 qDFttq7qolie1V2QFl5BxwlmpzUpDrx2ZBowE6+JkQMR6bNZ2KuTrjOZEl6Y2NJDflng
 Yi/9KE7yHIDA574msa4MYUYJAIGa1pcazsVqA5AjeIhgVkPi7qayzMKVvEFYtZuNxGs1
 OkPUFEJtBXzOUADSYs0msaLiKBhHKQp5sWMUu4rrs8Np4SkS5D5s/dM29UDHc2K3SXjS
 K05w==
X-Gm-Message-State: AOAM532qXaKQR41hgOawvIJ1516mKnBOL+RI3aDitA7QzQgF9HWVEW7P
 dT7HPzVgoWxbxQo9XUAOzVQ=
X-Google-Smtp-Source: ABdhPJwEmkfdwYzB9J9HE0st0nz4u9+k4SVVw43Uvw3ZSlhKHmKjJ1msal99V+zU71VZolM/ekJTyA==
X-Received: by 2002:adf:fe82:: with SMTP id l2mr17714661wrr.268.1631962987733; 
 Sat, 18 Sep 2021 04:03:07 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93])
 by smtp.gmail.com with ESMTPSA id p6sm9185884wrq.47.2021.09.18.04.03.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 18 Sep 2021 04:03:07 -0700 (PDT)
Message-ID: <783cd493b7610240bf7be4a8f94a3f1c2a4be77c.camel@HIDDEN>
Subject: Re: [PATCH] gnu: Add swaylock-effects
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: phodina <phodina@HIDDEN>, 49702 <at> debbugs.gnu.org
Date: Sat, 18 Sep 2021 13:03:05 +0200
In-Reply-To: <CwBL6-F6YMX2ra9OLnCpVc0Ut5imO4U3CliYpqHflu7murpjD88BrLqx8Zlknyux3FwttwXK1t2r8wSaP9FqRsbiZaMfJBfX6xe45a7PcYA=@protonmail.com>
References: <CwBL6-F6YMX2ra9OLnCpVc0Ut5imO4U3CliYpqHflu7murpjD88BrLqx8Zlknyux3FwttwXK1t2r8wSaP9FqRsbiZaMfJBfX6xe45a7PcYA=@protonmail.com>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49702
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Am Freitag, den 23.07.2021, 03:06 +0000 schrieb phodina:
> ---
> diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
> index 920a7cbb3e..b214e2a31c 100644
> --- a/gnu/packages/wm.scm
> +++ b/gnu/packages/wm.scm
> @@ -45,6 +45,7 @@
>  ;;; Copyright © 2021 Sharlatan Hellseher <sharlatanus@HIDDEN>
>  ;;; Copyright © 2021 qblade <qblade@HIDDEN>
>  ;;; Copyright © 2021 lasnesne <lasnesne@HIDDEN>
> +;;; Copyright © 2021 Petr Hodina <phodina@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -82,6 +83,7 @@
>    #:use-module (gnu packages bison)
>    #:use-module (gnu packages build-tools) ;for meson-0.55
>    #:use-module (gnu packages calendar)
> +  #:use-module (gnu packages commencement) ; for gcc>9
>    #:use-module (gnu packages datastructures)
>    #:use-module (gnu packages docbook)
>    #:use-module (gnu packages documentation)
> @@ -1578,6 +1580,29 @@ modules for building a Wayland compositor.")
>      (description "Swaylock is a screen locking utility for Wayland
> compositors.")
>      (license license:expat))) ; MIT license
> 
> +(define-public swaylock-effects
> +(package (inherit swaylock)
> +  (name "swaylock-effects")
> +  ;; Upstream v1.6-3 released on 16/11/2020
> +  (version "5cb9579faaf5662b111f5722311b701eff1c1d00")
> +  (source (origin
> +            (method git-fetch)
> +            (uri (git-reference
> +                  (url "https://github.com/mortie/swaylock-effects")
> +                  (commit version)))
> +            (sha256
> +             (base32
> +              "036dkhfqgk7g9vbr5pxgrs66h5fz0rwdsc67i1w51aa9v01r35ca"
> ))))
> +  ; Requires gcc>=9 see the issue here
> +  ; https://github.com/mortie/swaylock-effects/issues/26
> +  (native-inputs `(("gcc-toolchain", gcc-toolchain-9)
> +                   ,@(package-native-inputs swaylock)))
We don't typically use gcc-toolchain as package input, but rather gcc
itself.  gcc-toolchain exists so that users can spawn an environment in
which gcc just works™.
> +  (synopsis (string-append (package-synopsis swaylock) " with fancy
> effects"))
Synopsis should be a simple string.
> +  (description "Swaylock-effects is a fork of swaylock which adds
> built-in
> +screenshots and image manipulation effects like blurring. It's
> inspired by
> +i3lock-color, although the feature sets aren't perfectly
> overlapping.")
It is preferable to describe software in its own terms rather than
other software.  What about "Swaylock-effects is a fork of swaylock
with additional features, such as the ability to take a screenshot as
the background image, display a clock or apply image manipulation
techniques to the background image."?
> +  (home-page "https://github.com/mortie/swaylock-effects")))
> +
>  (define-public swaybg
>    (package
>      (name "swaybg")
> --
> 2.31.1
> 





Information forwarded to guix-patches@HIDDEN:
bug#49702; Package guix-patches. Full text available.

Message received at 49702 <at> debbugs.gnu.org:


Received: (at 49702) by debbugs.gnu.org; 18 Sep 2021 08:04:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 04:04:12 2021
Received: from localhost ([127.0.0.1]:33472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRVKW-0007x1-0X
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 04:04:12 -0400
Received: from mail-4323.protonmail.ch ([185.70.43.23]:21765)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mRVKT-0007wj-2t
 for 49702 <at> debbugs.gnu.org; Sat, 18 Sep 2021 04:04:10 -0400
Date: Sat, 18 Sep 2021 08:04:01 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1631952243;
 bh=LxBPNBj0PMHuLvfjYcgRjdidgUXaRpCdScmrhnMzXX0=;
 h=Date:To:From:Reply-To:Subject:From;
 b=tviUloxtD7htG7zIZRB1LwUbhOHrtU7Go1tU2G1z1IgEvN2+LcOK15i4f6HWWOBvu
 8K9dZ8fZW9kzm/wfluL+30sSlLzJEt+SaNNEuRMOfm1UVyn/ruKK2iOPwJasGKZnAl
 LpXf/i6N+zbN1sYbyC7cZHJbM3a8rdhC1H5X5J3s=
To: "49702 <at> debbugs.gnu.org" <49702 <at> debbugs.gnu.org>
From: phodina <phodina@HIDDEN>
Subject: Patch status
Message-ID: <tD_WeS72Cafk2XgCMbTRETFAdYdB5Ouaio6Fzg1QO1vzw-EZ-tmCGF1tPCnUIlf7IFf9y7hKCG3K_S3-PSJClgXRPFInh5BgJnZXWPtt8iY=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="b1_PtFy7a2IUzd150HPIids8uMVDB0s7YvAmih1X6jjFg"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,HTML_MESSAGE
 shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49702
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_PtFy7a2IUzd150HPIids8uMVDB0s7YvAmih1X6jjFg
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64

SGkhCgpJcyB0aGVyZSBhbnl0aGluZyB0byBiZSBmaXhlZCBpbiBvcmRlciB0byB1cHN0cmVhbSB0
aGlzIHBhdGNoPwoKU2VudCB3aXRoIFtQcm90b25NYWlsXShodHRwczovL3Byb3Rvbm1haWwuY29t
LykgU2VjdXJlIEVtYWlsLg==

--b1_PtFy7a2IUzd150HPIids8uMVDB0s7YvAmih1X6jjFg
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: base64

PGRpdj5IaSE8YnI+PGJyPklzIHRoZXJlIGFueXRoaW5nIHRvIGJlIGZpeGVkIGluIG9yZGVyIHRv
IHVwc3RyZWFtIHRoaXMgcGF0Y2g/PC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdiBjbGFzcz0icHJv
dG9ubWFpbF9zaWduYXR1cmVfYmxvY2siPjxkaXYgY2xhc3M9InByb3Rvbm1haWxfc2lnbmF0dXJl
X2Jsb2NrLXVzZXIgcHJvdG9ubWFpbF9zaWduYXR1cmVfYmxvY2stZW1wdHkiPjwvZGl2PjxkaXYg
Y2xhc3M9InByb3Rvbm1haWxfc2lnbmF0dXJlX2Jsb2NrLXByb3RvbiI+U2VudCB3aXRoIDxhIGhy
ZWY9Imh0dHBzOi8vcHJvdG9ubWFpbC5jb20vIiB0YXJnZXQ9Il9ibGFuayI+UHJvdG9uTWFpbDwv
YT4gU2VjdXJlIEVtYWlsLjwvZGl2PjwvZGl2PjxkaXY+PGJyPjwvZGl2Pg==


--b1_PtFy7a2IUzd150HPIids8uMVDB0s7YvAmih1X6jjFg--





Information forwarded to guix-patches@HIDDEN:
bug#49702; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jul 2021 03:06:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 22 23:06:39 2021
Received: from localhost ([127.0.0.1]:41962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m6lWF-0006BB-Lz
	for submit <at> debbugs.gnu.org; Thu, 22 Jul 2021 23:06:39 -0400
Received: from lists.gnu.org ([209.51.188.17]:52350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1m6lWD-0006B1-FQ
 for submit <at> debbugs.gnu.org; Thu, 22 Jul 2021 23:06:34 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49390)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <phodina@HIDDEN>)
 id 1m6lWD-0008IU-2d
 for guix-patches@HIDDEN; Thu, 22 Jul 2021 23:06:33 -0400
Received: from mail1.protonmail.ch ([185.70.40.18]:56851)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <phodina@HIDDEN>)
 id 1m6lWA-0007FP-FY
 for guix-patches@HIDDEN; Thu, 22 Jul 2021 23:06:32 -0400
Date: Fri, 23 Jul 2021 03:06:22 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1627009585;
 bh=GRSZg5Co7kSasHtPOeGZqQ3HYXvuX952fJx3ycubU6M=;
 h=Date:To:From:Reply-To:Subject:From;
 b=rflDKHmrmTMzBgYxEltH+5IdRw0zkUHKI6wATbz6vzS3xhVhPw5/iBNecAAe6Repr
 DsP2z0oV6c0FdE7ChpC3M0CexOyEmEtG3UNJ01oV0geEl5D44fCFQ9JbWNSJoy6fsK
 5nRdXRU0v9coRQF6JC5IhaWzgM8/DkBbuijZjgyk=
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: phodina <phodina@HIDDEN>
Subject: [PATCH] gnu: Add swaylock-effects
Message-ID: <CwBL6-F6YMX2ra9OLnCpVc0Ut5imO4U3CliYpqHflu7murpjD88BrLqx8Zlknyux3FwttwXK1t2r8wSaP9FqRsbiZaMfJBfX6xe45a7PcYA=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.40.18; envelope-from=phodina@HIDDEN;
 helo=mail1.protonmail.ch
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 PHOTO_EDITING_DIRECT=1, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

---
diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
index 920a7cbb3e..b214e2a31c 100644
--- a/gnu/packages/wm.scm
+++ b/gnu/packages/wm.scm
@@ -45,6 +45,7 @@
 ;;; Copyright =C2=A9 2021 Sharlatan Hellseher <sharlatanus@HIDDEN>
 ;;; Copyright =C2=A9 2021 qblade <qblade@HIDDEN>
 ;;; Copyright =C2=A9 2021 lasnesne <lasnesne@HIDDEN>
+;;; Copyright =C2=A9 2021 Petr Hodina <phodina@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -82,6 +83,7 @@
   #:use-module (gnu packages bison)
   #:use-module (gnu packages build-tools) ;for meson-0.55
   #:use-module (gnu packages calendar)
+  #:use-module (gnu packages commencement) ; for gcc>9
   #:use-module (gnu packages datastructures)
   #:use-module (gnu packages docbook)
   #:use-module (gnu packages documentation)
@@ -1578,6 +1580,29 @@ modules for building a Wayland compositor.")
     (description "Swaylock is a screen locking utility for Wayland composi=
tors.")
     (license license:expat))) ; MIT license

+(define-public swaylock-effects
+(package (inherit swaylock)
+  (name "swaylock-effects")
+  ;; Upstream v1.6-3 released on 16/11/2020
+  (version "5cb9579faaf5662b111f5722311b701eff1c1d00")
+  (source (origin
+            (method git-fetch)
+            (uri (git-reference
+                  (url "https://github.com/mortie/swaylock-effects")
+                  (commit version)))
+            (sha256
+             (base32
+              "036dkhfqgk7g9vbr5pxgrs66h5fz0rwdsc67i1w51aa9v01r35ca"))))
+  ; Requires gcc>=3D9 see the issue here
+  ; https://github.com/mortie/swaylock-effects/issues/26
+  (native-inputs `(("gcc-toolchain", gcc-toolchain-9)
+                   ,@(package-native-inputs swaylock)))
+  (synopsis (string-append (package-synopsis swaylock) " with fancy effect=
s"))
+  (description "Swaylock-effects is a fork of swaylock which adds built-in
+screenshots and image manipulation effects like blurring. It's inspired by
+i3lock-color, although the feature sets aren't perfectly overlapping.")
+  (home-page "https://github.com/mortie/swaylock-effects")))
+
 (define-public swaybg
   (package
     (name "swaybg")
--
2.31.1




Acknowledgement sent to phodina <phodina@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#49702; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 18 Sep 2021 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.